import {HttpMethod, Route, StatusCodes} from 'org.crazydoctor.expressts';
import {Request, Response} from 'express';
import ServerApp from '..';
import { ISession } from '../session/ISession';

class GetLogin extends Route {
	protected action = (req: Request, res: Response): any => {
		const session = req.session as ISession;
		
		if(ServerApp.SourcesUpdating) {
			res.status(StatusCodes.ACCEPTED).render('sources-update');
			return;
		}

		if(session.isEditor) {
			res.redirect('/');
			return;
		}
		res.status(StatusCodes.OK).render('login', { template: 'login', title: 'Doczilla JS Docs - Login' });
	};

	protected method = HttpMethod.GET;
	protected order = 3;
	protected route = '/login';
}

export default GetLogin;